# Pkgman

`pkgman` helps with building packages using a simple descriptor file

## Installation

    $ gem install pkgman

## Usage

Create the descriptor file `pkgman.yml`, e.g.

```yaml
repositories:
  rpms:
    type: local
    path: rpms

builds:
  - from: source
    name: ruby
    version: 2.5.0
    source: https://cache.ruby-lang.org/pub/ruby/{{ version | slice 0,3 }}/ruby-{{ version }}.tar.gz
    configure:
      - -disable-install-doc
    targets:
      - image: centos
        version: 7
        requires:
          - openssl-devel
          - libyaml-devel
          - libffi-devel
          - readline-devel
          - zlib-devel
          - gdbm-devel
          - ncurses-devel
        package:
          - type: rpm
            dependencies:
              - openssl
              - libyaml
              - libffi
              - readline
              - zlib
              - gdbm
              - ncurses
              - gmp
            push:
              - rpms
```

Builds Ruby 2.5.0 without documentation and saves the resulting RPM file into `rpms` directory in current folder.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/marekjelen/pkgman.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
