lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'pkgman/version'

Gem::Specification.new do |spec|
  spec.name          = 'pkgman'
  spec.version       = Pkgman::VERSION
  spec.authors       = ['Marek Jelen']
  spec.email         = ['marek@jelen.biz']

  spec.summary       = 'Helps to automate building packages'
  spec.description   = 'Builds and uploads packages based on a simple descriptor'
  spec.homepage      = 'https://github.com/marekjelen/pkgman'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'docker-api', '~> 1.34'
  spec.add_dependency 'faraday', '~> 0.14'
  spec.add_dependency 'liquid', '~> 4.0'
  spec.add_dependency 'nokogiri', '~> 1.8'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'minitest', '~> 5.0'
end
